Name:           kde-plasma-nm
Version:        0.9.3.0
Release:        6%{?dist}
Summary:        Plasma applet written in QML for managing network connections
License:        LGPLv2+ and GPLv2+
URL:            https://projects.kde.org/projects/playground/network/plasma-nm
Source0:        http://download.kde.org/unstable/plasma-nm//plasma-nm-%{version}.tar.xz

# Add plasma-nm to default systray if needed, for upgraders...
Source10: 00-fedora-plasma-nm.js

BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  kde-workspace-devel
BuildRequires:  libmm-qt-devel >= 0.5.0
BuildRequires:  libnm-qt-devel >= 0.9.0
BuildRequires:  pkgconfig(NetworkManager) >= 0.9.8
BuildRequires:  pkgconfig(libnm-glib) pkgconfig(libnm-util)
%if 0%{?fedora} || 0%{?epel}
BuildRequires:  pkgconfig(openconnect) >= 4.00
%endif

Requires:  NetworkManager >= 0.9.8
Requires:  ModemManager >= 0.6.0
Requires:  libmm-qt >= 0.5.0
Requires:  libnm-qt >= 0.9.0
Requires:  mobile-broadband-provider-info

%description
Plasma applet and editor for managing your network connections in KDE 4 using
the default NetworkManager service.

%if 0%{?fedora} || 0%{?epel}
%package openvpn
Summary:        OpenVPN support for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-openvpn
%description openvpn
%{summary}.

%package vpnc
Summary:        Vpnc support for %{name} 
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-vpnc
%description vpnc
%{summary}.

%package openconnect
Summary:        OpenConnect support for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-openconnect
%description openconnect
%{summary}.

%package openswan
Summary:        Openswan support for %{name} 
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-openswan
%description openswan
%{summary}.

%package l2tp
Summary:        L2TP support for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-l2tp
%description l2tp
%{summary}.

%package pptp
Summary:        PPTP support for %{name} 
Requires:       %{name}%{?_isa} = %{version}-%{release} 
Requires:       NetworkManager-pptp
%description pptp
%{summary}.
%endif

%prep
%setup -qn plasma-nm-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}

find %{buildroot}%{_kde4_datadir} -name "kcm_network.mo" -exec rm -f {} \;

%find_lang plasma_applet_org.kde.plasma-nm
%find_lang plasmanm-kded
%find_lang kde-nm-connection-editor
%find_lang libplasmanm-editor
%find_lang plasmanm_vpncui
%find_lang plasmanm_openvpnui
%find_lang plasmanm_openconnectui
%find_lang plasmanm_openswanui
%find_lang plasmanm_l2tpui
%find_lang plasmanm_pptpui

# migrate to nm plasmoid
install -m644 -p -D %{SOURCE10} %{buildroot}%{_kde4_appsdir}/plasma-desktop/updates/00-fedora-plasma-nm.js

# clean unpackaged VPN related files in RHEL
%if 0%{?rhel}
rm -fv %{buildroot}%{_kde4_libdir}/kde4/plasmanm_open*
rm -fv %{buildroot}%{_kde4_libdir}/kde4/plasmanm_vpnc*
rm -fv %{buildroot}%{_kde4_libdir}/kde4/plasmanm_l2tp*
rm -fv %{buildroot}%{_kde4_libdir}/kde4/plasmanm_pptp*
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/plasmanm_open*
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/plasmanm_vpnc*
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/plasmanm_l2tp*
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/plasmanm_pptp*
%endif


%files -f plasma_applet_org.kde.plasma-nm.lang -f plasmanm-kded.lang -f kde-nm-connection-editor.lang -f libplasmanm-editor.lang
%defattr(-,root,root,-)
# kde-nm-connection-editor
%{_kde4_bindir}/kde-nm-connection-editor
%{_kde4_libdir}/libplasmanm-editor.so
%{_kde4_datadir}/kde4/apps/kde-nm-connection-editor/kde-nm-connection-editorui.rc
%{_kde4_datadir}/applications/kde4/kde-nm-connection-editor.desktop
# plasma-nm applet
%{_kde4_libdir}/kde4/imports/org/kde/plasmanm/libplasmanmplugins.so
%{_kde4_libdir}/kde4/imports/org/kde/plasmanm/qmldir
%dir %{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kde.plasma-nm/
%{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kde.plasma-nm/contents
%{_kde4_datadir}/kde4/apps/plasma/plasmoids/org.kde.plasma-nm/metadata.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-nm.desktop
%{_kde4_libdir}/kde4/plugins/designer/plasmanmwidgets.so
%{_kde4_appsdir}/desktoptheme/default/icons/plasma-nm.svgz
%{_kde4_appsdir}/plasma-desktop/updates/*.js
# plasma-nm notifications
%{_kde4_datadir}/kde4/services/plasma_nm_notifications.desktop
%{_kde4_libdir}/kde4/plasma_nm_notifications.so
%{_kde4_datadir}/kde4/apps/plasma-nm/plasma-nm.notifyrc
# plasma-nm kded
%{_kde4_libdir}/kde4/kded_plasmanm.so
%{_kde4_datadir}/kde4/services/kded/plasmanm.desktop
# plasma-nm other
%{_kde4_libdir}/libplasmanm-internal.so
%{_kde4_datadir}/kde4/servicetypes/plasma-nm-vpnuiplugin.desktop


%if 0%{?fedora} || 0%{?epel}
%files openvpn -f plasmanm_openvpnui.lang
%{_kde4_libdir}/kde4/plasmanm_openvpnui.so
%{_kde4_datadir}/kde4/services/plasmanm_openvpnui.desktop

%files vpnc -f plasmanm_vpncui.lang
%{_kde4_libdir}/kde4/plasmanm_vpncui.so
%{_kde4_datadir}/kde4/services/plasmanm_vpncui.desktop

%files openconnect -f plasmanm_openconnectui.lang
%{_kde4_libdir}/kde4/plasmanm_openconnectui.so
%{_kde4_datadir}/kde4/services/plasmanm_openconnectui.desktop

%files openswan -f plasmanm_openswanui.lang
%{_kde4_libdir}/kde4/plasmanm_openswanui.so
%{_kde4_datadir}/kde4/services/plasmanm_openswanui.desktop

%files l2tp -f plasmanm_l2tpui.lang
%{_kde4_libdir}/kde4/plasmanm_l2tpui.so
%{_kde4_datadir}/kde4/services/plasmanm_l2tpui.desktop

%files pptp -f plasmanm_pptpui.lang
%{_kde4_libdir}/kde4/plasmanm_pptpui.so
%{_kde4_datadir}/kde4/services/plasmanm_pptpui.desktop
%endif

%changelog
* Wed Sep 11 2013 Jan Grulich <jgrulich@redhat.com> - 0.9.3.0-6
- Update to first official release (0.9.3.0)

* Tue Aug 20 2013 Jan Grulich <jgrulich@redhat.com> - 0.9.3.0-5.20130812git707b2b
- add javascript to automatically add plasma-nm to the systray

* Mon Aug 12 2013 Lukas Tinkl <ltinkl@redhat.com> - 0.9.3.0-4.20130812git707b2b
- Update to current git snapshots
- simplified applet based on usability study from Akademy

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3.0-3.20130613git6a4c385
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 13 2013 Jan Grulich <jgrulich@redhat.com> - 0.9.3.0-2.20130613git6a4c385
- Update to the current git snapshot
- Add Openswan, Openconnect, L2TP, PPTP VPN plugins

* Tue Jun 4 2013 Jan Grulich <jgrulich@redhat.com> - 0.9.3.0-1.20130604git649e5f4
- Initial package
- Based on git snapshot 649e5f4b3e5b4f30df19aa0f908234355912eea7
